/* ----------------------------------------------------------------
	Canvas: Drone
-----------------------------------------------------------------*/

:root {
	--cnvs-themecolor: var(--bs-primary);
	--cnvs-themecolor-rgb: var(--bs-primary-rgb);

	--cnvs-body-font: "Neue Machina", sans-serif;
	--cnvs-primary-font: "Neue Machina", sans-serif;
}

#header {
	--cnvs-primary-menu-font-weight: 500;
	--cnvs-primary-menu-font-size:	1rem;
	--cnvs-primary-menu-tt:	none;
	--cnvs-primary-menu-ls:	0;
	--cnvs-primary-menu-submenu-font-size:	0.875rem;
	--cnvs-primary-menu-submenu-font-weight:	400;
	--cnvs-primary-menu-submenu-hover-font-weight: 500;
	--cnvs-primary-menu-submenu-tt:	none;
}

.is-expanded-menu .mega-menu-style-2 .mega-menu-title > .menu-link {
	font-size: calc(var(--cnvs-primary-menu-submenu-font-size) * 0.9);
}

#header {
	--cnvs-header-height: 60px;
	--cnvs-primary-menu-font-size: .9125rem;
	--cnvs-primary-menu-font-weight: 400;
	--cnvs-primary-menu-color: var(--cnvs-contrast-800);
	--cnvs-header-floating-top-offset: 0;
	--cnvs-top-search-font-size: 1.125rem;
	--cnvs-top-search-placeholder: var(--cnvs-contrast-500);
}

.is-expanded-menu .menu-link {
	--cnvs-primary-menu-padding-x: 13px;
}

.is-expanded-menu #header.transparent-header.floating-header .container {
	border-radius: 23rem;
	max-width: calc(100% - 30px);
}

#logo img {
	transition: transform .5s ease;
	-webkit-animation-iteration-count: infinite;
	animation-iteration-count: infinite;
}


.is-expanded-menu #header-wrap,
.is-expanded-menu .sticky-header #header-wrap {
	position: fixed !important;
    top: 15px;
    background-color: transparent;
	border: 0;
}

.top-cart-content,
.menu-container > .menu-item > .sub-menu-container {
	border-radius: 0;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
}

.button-offset:is(:hover, :focus) {
	outline-width: 3px;
	outline-style: solid;
	outline-color: var(--cnvs-themecolor);
	outline-offset: 0;
	transition: all .1s;
}

.button-offset.button-offset-circle {
	outline-color: #FFF;
	outline-width: 2px;
}

.button-offset:is(:hover, :focus) {
	outline-offset: 3px;
}

.button-offset.button-light {
	outline-color: var(--bs-white);
}


/* Tab */

#demo-drone-tab {
	--bs-nav-tabs-border-width: 0px;
	--bs-nav-link-color: #111;
}

#demo-drone-tab .nav-item {
	position: relative;
}

#demo-drone-tab .nav-item .nav-link.active .tab-title {
	font-weight: 600;
}

@media (min-width: 992px) {
	#demo-drone-tab .nav-item .nav-link.active::after {
		content: '';
		position: absolute;
		width: 0; 
		height: 0;
		margin-left: -5px;
		border-left: 10px solid transparent;
		border-right: 10px solid transparent;
		border-bottom: 10px solid var(--cnvs-contrast-300);
		bottom: 0;
		left: 50%;
	}
}

.pricing-bg {
	position: absolute;
	left: 0;
	top: 0;
	transform: scale(120%);
	z-index: -1;
	opacity: 0.4;
	object-fit: cover;
	width: 100%;
}

.pts-left,
.pts-right {
	font-weight: 600 !important;
}


.toggle {
    --cnvs-toggle-base-color: var(--cnvs-heading-color);
    --cnvs-toggle-font-size: 1.125rem;
    --cnvs-toggle-title-color: var(--cnvs-heading-color);
    --cnvs-toggle-content-padding: 1.5rem 1.75rem;
    margin: 0 0 30px 0;
}

.toggle-header {
	border-radius: var(--cnvs-card-rounded);
	font-weight: 600;
}

.toggle-content {
	padding: 1.5rem 0;
	padding-bottom: .75rem;
	opacity: .8;
	margin-bottom: 0;
}

.toggle-closed {
	transition: .2s;
	opacity: .2;
}

.toggle-active .toggle-closed {
	display: block;
	transform: rotate(45deg);
	opacity: 1;
}

.pricing-tenure-switcher .btn-group {
    background-color: var(--cnvs-contrast-200);
    padding: 6px;
}

.pricing-tenure-switcher .btn-group .btn {
    --bs-btn-border-width: 0;
    --bs-btn-padding-x: 1.25rem;
    --bs-btn-padding-y: 0.425rem;
    --bs-btn-font-size: var(--bs-body-font-size);
    --bs-btn-font-weight: 500;
    border-radius: var(--bs-border-radius-pill) !important;
}

.pricing-tenure-switcher .btn-check:checked + .btn {
    background-color: var(--cnvs-contrast-900);
	color: #FFF;
}

.top-links-item {
	border-left: 0;
}

.top-links-item a img {
	position: relative;
	display: inline-block;
	border-radius: 20px;
	width: 20px;
	height: 20px;
	top: -2px;
	margin-right: 8px;
	border: 1px solid var(--cnvs-contrast-0);
	background-color: var(--cnvs-contrast-700);
}

/* BLOG */

.entry-title h3 {
	text-transform: none;
	letter-spacing: 0;
	font-weight: 500;
	font-size: 25px;
}

.entry-title.title-sm h2,
.entry-title.title-sm h3,
.entry-title.title-xs h2,
.entry-title.title-xs h3 {
	font-size: 1.25rem;
	line-height: 1.6;
}
.entry-title.title-xs h2,
.entry-title.title-xs h3,
.entry-title h4 {
	font-size: 1.15rem;
}

.entry-title h4 {
	font-size: 1rem;
	font-weight: 400;
}

.entry-title h2 a,
.entry-title h2 a:hover,
.entry-title h3 a,
.entry-title h3 a:hover,
.entry-title h4 a:hover  { color: var(--cnvs-contrast-900) !important; }

:not(.dark) .entry-categories a {
	display: block;
	text-transform: uppercase;
	font-size: 11px;
	color: #333;
	font-weight: 700;
	letter-spacing: 1px;
	margin-bottom: 10px;
}

.dark .entry-categories a {
	color: var(--cnvs-themecolor);
}

.entry:not(:last-child)::after {
	--cnvs-post-item-margin: 30px;
	display: block;
}

.entry-meta {
	display: block;
	float: none;
	margin: 8px 0 0 0 !important;
}

.entry-content {
	margin-top: 25px;
}

.entry-content p {
	color: #555;
}

.dark .entry-content p { color: rgba(255, 255, 255, 0.7); }

.posts-md .entry-meta,
.posts-md .entry-meta a,
.posts-sm .entry-meta,
.posts-sm .entry-meta a {
	font-size: 14px;
}

.dark .entry-meta li a { color: #AAA !important; }

/* .posts-sm .entry:not(:first-child) .grid-inner,
.posts-md .entry:not(:first-child) .grid-inner {
	padding-top: 1.5rem;
	margin-top: 2rem;
	border-top: 1px solid #E5E5E5;
}

.dark .posts-sm .entry:not(:first-child) .grid-inner,
.dark .posts-md .entry:not(:first-child) .grid-inner {
	border-top-color: rgba(255, 255, 255, 0.25);
} */

.week-posts {
	list-style: none;
}

.week-posts li .entry-image {
	display: none;
}

.week-posts > li {
	counter-increment: step-counter;
}

.week-posts > li .grid-inner::before {
	content: "0" counter(step-counter)'.';
	position: absolute;
	left: 0;
	font-size: 26px;
	font-weight: 700;
	font-family: var(--cnvs-secondary-font);
	color: #DDD;
	line-height: 1;
}

.week-posts > li .grid-inner {
	padding-left: 48px;
}

.dark .week-posts > li::before { color: rgba(255,255,255,0.3); }

/* SINGLE PAGE */

.single-post { margin-top: 20px; }

.single-post .entry .entry-title,
.single-post .entry .entry-title h2 {
	max-width: 750px;
	margin: 0 auto;
	text-align: center;
	text-transform: none;
	letter-spacing: -1px;
	font-size: 34px;
}

.single-post .entry .entry-image {
	margin: 25px 0 35px;
}

.single-post .entry-content .text-content {
	position: relative;
	display: block;
	margin-top: 20px;
}

.single-post .entry-content .text-content p {
	font-size: 18px;
	line-height: 1.65 !important;
}

.single-post .entry-content ol.list-numbers {
	padding-left: 15px;
	margin: 30px 20px;
}

.single-post .entry-content ol.list-numbers li {
	font-size: 19px;
	line-height: 1.5;
	list-style-type: decimal;
	margin-top: 1.5rem;
	font-family: var(--cnvs-primary-font,  'Domine', serif);
}

.single-post .media-content .entry-title { display: none; }

.single-post .si-share {
	display: block;
	border-bottom: 1px solid #EEE;
	margin-bottom: 20px;
	padding: 0 0 20px 0;
}

.single-post .si-share h5 {
	font-weight: 500;
	opacity: .7;
	margin-bottom: 8px;
}

.related-posts .entry-title h3 {
	font-size: 20px;
	margin-top: 10px;
}

#comments label {
	text-transform: none;
	letter-spacing: 0;
	font-weight: 400;
	margin-bottom: 5px;
	opacity: .7;
}

.comment-content p {
	font-size: 17px;
	line-height: 1.6 !important;
}

.comment-content .comment-author span,
.comment-content .comment-author span a {
	font-style: normal;
	font-family: var(--cnvs-primary-font);
	margin-top: 4px;
}

/* Responsive Device more than 992px (.device-md >)
-----------------------------------------------------------------*/
@media (min-width: 992px) {
	.single-post .media-content .entry-title {
		display: block;
		border-bottom: 1px solid #EEE;
		margin-top: 20px;
		margin-bottom: 20px;
		padding-bottom: 20px;
	}

	.single-post .media-content .entry-title h4 {
		font-size: 15px;
		line-height: 1.6;
		margin-bottom: 0;
	}

	.single-post .si-share {
		display: block;
		border-bottom: none;
		margin-bottom: 0;
		padding-bottom: 0;
	}
}

@media (min-width: 1200px) {
	.single-post .entry-content .media-content {
		display: block;
		position: -webkit-sticky;
		position: sticky;
		top: 214px;
		left: 0;
		height: 100%;
		max-width: 200px;
	}

	/*.single-post .entry-content .text-content {
		max-width: 700px;
		margin-top: -170px;
		margin-right: auto;
		margin-left: auto;
	}*/
}

.widget-search input,
.widget-search .btn { border-color: #DDD; }

.dark .widget-search .form-control:not(.not-dark),
.dark .widget-search .btn {
	border-color: rgba(255, 255, 255, 0.1);
}

.widget-nav .nav { flex-direction: row; }

.widget-nav .nav .nav-item .nav-link {
	padding: 5px 10px;
	color: #444;
	line-height: 1.3;
	font-weight: 500;
	transition: all .2s ease;
}

.dark .widget-nav .nav .nav-item .nav-link { color: #DDD; }

.widget-nav .nav .nav-item.active .nav-link,
.widget-nav .nav .nav-item:hover .nav-link {
	border-left-color: var(--cnvs-themecolor);
	color: var(--cnvs-themecolor);
}

/* Responsive Device more than 992px (.device-md >)
-----------------------------------------------------------------*/
@media (min-width: 992px) {

	.content-wrap { overflow: inherit; }

	.widget-nav .nav { flex-direction: column; }

	.widget-nav .nav .nav-item .nav-link {
		padding: 5px 0 5px 15px;
		border-left: 1px solid #DDD;
		line-height: 1.8;
	}

	.dark .widget-nav .nav .nav-item .nav-link,
	.dark #header.sticky-header #header-wrap,
	.dark .single-post .media-content .entry-title { border-color: rgba(255, 255, 255, 0.1); }
}

@media (max-width: 991.98px) {
	.cat-widgets.position-sticky {
		position: relative !important;
		top: 0;
		background-color: #F9F9F9;
		z-index: 9;
		padding: 3rem;
		top: 0 !important;
		width: 100%;
	}
}

/* NOISE */

.noice-effect::before {
	content: "";
	position: absolute;
	top: -100%;
	left: -100%;
	width: 300%;
	height: 300%;
	opacity: 0.6;
	background-image: url(../images/noise-paatern.png);
	background-repeat: repeat;
	background-size: auto;
	animation: noiceAnim 8s steps(10) infinite;
}

@keyframes noiceAnim {

	0%,
	to {
		transform: translate(0);
	}

	10% {
		transform: translate(-5%, -10%);
	}

	20% {
		transform: translate(-15%, 5%);
	}

	30% {
		transform: translate(7%, -25%);
	}

	40% {
		transform: translate(-5%, 25%);
	}

	50% {
		transform: translate(-15%, 10%);
	}

	60% {
		transform: translate(15%);
	}

	70% {
		transform: translateY(15%);
	}

	80% {
		transform: translate(3%, 35%);
	}

	90% {
		transform: translate(-10%, 10%);
	}
}

/* Swiper Tabs */
.swiper-pagination-progress {
	--cnvs-swiper-bar-size: 2px;
	--cnvs-swiper-bar-color:  var(--cnvs-contrast-200);
	--cnvs-swiper-bar-active-color: var(--cnvs-contrast-1000);
	position: absolute;
	left: 0;
	bottom: 0px;
	width: 100%;
	height: auto;
	border-radius: 0;
	opacity: 1;
	margin: 0px;
	background-color: transparent;
}
.swiper-pagination-progress .swiper-pagination-bar,
.swiper-pagination-progress .swiper-pagination-bar-active {
	position: absolute;
	bottom: 0;
	border-radius: 0;
	left: 0;
	z-index: 1;
	width: 100%;
	height: var(--cnvs-swiper-bar-size);
	margin: 0px;
	background-color: var(--cnvs-swiper-bar-color);
}

.swiper-pagination-progress .swiper-pagination-bar-active {
	z-index: 2;
	width: 0%;
	background-color: var(--cnvs-swiper-bar-active-color);
}
.active .swiper-pagination-progress .swiper-pagination-bar-active {
	animation-name: swiperbarAnim;
	animation-duration: 5s;
	animation-timing-function: ease-in;
	animation-iteration-count: 1;
	animation-direction: alternate;
	animation-fill-mode: forwards;
}
@keyframes swiperbarAnim {
	0% {
		width: 0;
	}
	100% {
		width: 100%;
	}
}

.swiper-tab-link {
	--swiper-tab-title: #AAA;
	--swiper-tab-content: ;
	counter-increment: step-counter;
	position: relative;
	overflow: hidden;
	margin-bottom: 5px;
	padding: 20px 0;
	cursor: pointer;
}

.swiper-tab-link::before {
	content: "0" counter(step-counter)'.';
	position: relative;
	display: inline-block;
	font-size: 26px;
    font-weight: 600;
    min-width: 50px;
	margin-right: 5px;
	color: var(--swiper-tab-title);
    font-family: monospace;
	line-height: 1;
}

.swiper-tab-link .swiper-tab-title {
	display: inline-block;
	color: var(--swiper-tab-title);
	margin-bottom: 0;
	font-size: calc(1.275rem + 0.3vw);
}

.swiper-tab-link .swiper-tab-content {
	margin-bottom: 0;
	padding-top: 10px;
    margin-left: 5px;
	line-height: 0;
	opacity: 0;
	vertical-align:middle;
	font-size: 1rem;
	transition: line-height 0.6s cubic-bezier(.4,0,.2,1), opacity .1s .1s cubic-bezier(.4,0,.2,1);
}

@media (min-width: 768px) {
    .swiper-tab-link .swiper-tab-content {
        margin-left: 60px;
    }
}

.swiper-tab-link.active .swiper-tab-content {
	opacity: .8;
	line-height: var(--cnvs-line-height-content);
	transition: line-height 0.5s cubic-bezier(.4,0,.2,1), opacity .15s .15s cubic-bezier(.4,0,.2,1);
}

.swiper-tab-link.active {
	--swiper-tab-title: #000;
}

.back-shadow {
	---cnvs-back-shadow-size: 5px;
	---cnvs-back-shadow-bg: var(--cnvs-contrast-1000);
	---cnvs-back-shadow-color: var(--cnvs-contrast-0);
	position: relative;
	background-color: var(---cnvs-back-shadow-color);
	border: 1px solid var(---cnvs-back-shadow-bg);
	margin-left: var(---cnvs-back-shadow-size);
	margin-bottom: var(---cnvs-back-shadow-size);
	box-shadow: calc(-1 * var(---cnvs-back-shadow-size)) var(---cnvs-back-shadow-size) 0 var(---cnvs-back-shadow-bg);
}

.pagination {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.pagination .page-link {
    margin: 0 5px;
    padding: 8px 12px;
    border: 1px solid #007bff;
    color: #007bff;
    text-decoration: none;
    border-radius: 4px;
}

.pagination .page-link:hover {
    background-color: #007bff;
    color: #fff;
}

.pagination .active .page-link {
    background-color: #007bff;
    color: #fff;
    border: 1px solid #007bff;
}
